#####################
### Preliminaries ###
#####################
require(Rmisc)

############################
### Sampling Variability ###
############################
# Creating Simulated heights
heights <- rnorm(100000, # Population of one hundred thousand
                 mean = 177, # True mean height
                 sd=10) # True standard deviation

# Taking a sample of the population
samp <- sample(heights, # Dataset of heights
               size=50) # Take 50 samples

# Sample Mean
mean(samp)

# Sample Standard Deviation
sd(samp)

# Taking a sample of the population
samp <- sample(heights, # Dataset of heights
               size=50) # Take 50 samples

# Sample Mean
mean(samp)

# Sample Standard Deviation
sd(samp)

############################
### Confidence Intervals ###
############################
# Loading mtcar dataset 
data(mtcars)

# Sample mean fuel consumption
mean(mtcars$mpg)

# Calculating a 95% confidence interval for fuel 
# consumption in miles per gallon
CI(mtcars$mpg, # Data to create a confidence interval from
0.95)       # Level of confidence interval

# Calculating the confidence interval
CI <- as.vector(CI(mtcars$mpg,0.95))

# Mean minus the lower confidence interval
CI[2] - CI[1]

# Upper confidence interval minus the mean
CI[3] - CI[2]

##########################
### One-sample t-tests ###
##########################
# Loading mtcar dataset 
data(mtcars)

# Sample mean fuel consumption
mean(mtcars$mpg)

# Perform a one-sample t-test.
t.test(x  = mtcars$mpg, # Sample to be tested
       mu = 22.5, # Hypothesised mean
       significance = 'two.sided') # Option to test that the means are equal

# Perform a one-sample t-test.
t.test(x  = mtcars$mpg, # Sample to be tested
       mu = 22.5, # Hypothesised mean
       alternative  = 'less') # Specifying less than 

